### Function

# FwupdPlugin memcmp_safe

since: 1.8.2

#### Declaration [src]

    gboolean
    fu_memcmp_safe (
      const guint8* buf1,
      gsize buf1_sz,
      gsize buf1_offset,
      const guint8* buf2,
      gsize buf2_sz,
      gsize buf2_offset,
      gsize n,
      GError** error
    )

#### Description [src]

Compares the buffers for equality.

Available since: 1.8.2

#### Parameters

`buf1`

  Type: `const guint8*`

  A buffer.

  The data is owned by the caller of the function.

`buf1_sz`

  Type: `gsize`

  Sizeof `buf1`.

`buf1_offset`

  Type: `gsize`

  Offset into `buf1`.

`buf2`

  Type: `const guint8*`

  Another buffer.

  The data is owned by the caller of the function.

`buf2_sz`

  Type: `gsize`

  Sizeof `buf2`.

`buf2_offset`

  Type: `gsize`

  Offset into `buf1`.

`n`

  Type: `gsize`

  Number of bytes to compare from `buf1`+`buf1_offset` from.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `buf1` and `buf2` are identical.